//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using CommunityServer.Files.Components;
using System.Collections;

namespace CommunityServer.Files
{
	/// <summary>
	/// Summary description for UserDownloads.
	/// </summary>
	public class UserDownloads
	{
		private UserDownloads()
		{
		}

		public static UserDownloadSet GetUserDownloads(int postID, DateTime startDate, DateTime endDate, int pageIndex, int pageSize)
		{
			FileGalleryDataProvider fgdp = FileGalleryDataProvider.Instance();
			return fgdp.GetUserDownloads(postID, startDate, endDate, pageIndex, pageSize);
		}

		public static void LogDownload(int userID, int postID)
		{
			FileGalleryDataProvider fgdp = FileGalleryDataProvider.Instance();
			fgdp.LogDownload(postID, userID);
		}
	}
}
